Bug 498687 - unable to uninstall gnuplot
unable to uninstall gnuplot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
rawhide
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 18:02 EDT by marco crosio
Modified: 2009-12-18 13:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 03:19:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marco crosio 2009-05-01 18:02:48 EDT
Description of problem:

uninstalling with "yum remove gnuplot"
gives this error "Error in PREUN scriptlet in rpm package g"

doing "rpm -e gnuplot"
gives this other error
"errore: scriptlet %preun(gnuplot-4.2.4-6.fc11.i586) fallita, uscita con stato 2"

Version-Release number of selected component (if applicable):

gnuplot-4.2.4-6.fc11.i586

Actual results:
unable to remove package gnuplot

Expected results:
gnupot package is removed 

Additional info:
looking at this bug #223693 [https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=223693 ] and looking in to the .spec file makes me think is that the line 

%{_sbindir}/alternatives --remove gnuplot %{_bindir}/gnuplot-wx

should look someting like 

%{_sbindir}/alternatives --remove gnuplot %{_bindir}/gnuplot-wx || :

but i' not so sure... (no .spec or file packaging experience, sorry!!!, dont blame me if i'm in the wrong direction)

also "rpm -e --nopreun gnuplot" does the job of remove the unwanted package :)
Comment 1 Ivana Varekova 2009-05-29 03:19:03 EDT
Thanks for the bug report, fixed in gnuplot-4.2.5-2.fc12.

Note You need to log in before you can comment on or make changes to this bug.